import { DataloadState } from 'enums'
import { DateTime } from 'luxon'
import { Dataload } from 'models'

export const fetchDayDataIncomplete: Dataload[] = [
  {
    date: DateTime.fromISO('2023-07-02T00:00:00.000Z'),
    value: 56.8,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-03T00:00:00.000Z'),
    value: 37.66,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-04T00:00:00.000Z'),
    value: 39.58,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-05T00:00:00.000Z'),
    value: 46.81,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-06T00:00:00.000Z'),
    value: 45.83,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-07T00:00:00.000Z'),
    value: 22.95,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-08T00:00:00.000Z'),
    value: 38.95,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-09T00:00:00.000Z'),
    value: 22.23,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-10T00:00:00.000Z'),
    value: 49.86,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-11T00:00:00.000Z'),
    value: 62.78,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-12T00:00:00.000Z'),
    value: 45.44,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-13T00:00:00.000Z'),
    value: 66.06,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-14T00:00:00.000Z'),
    value: 22.29,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-15T00:00:00.000Z'),
    value: 43.06,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-16T00:00:00.000Z'),
    value: 25.35,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-17T00:00:00.000Z'),
    value: 16.24,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-18T00:00:00.000Z'),
    value: 36.4,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-19T00:00:00.000Z'),
    value: 54.38,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-20T00:00:00.000Z'),
    value: 55.99,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-21T00:00:00.000Z'),
    value: 55.96,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-22T00:00:00.000Z'),
    value: 30.11,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-23T00:00:00.000Z'),
    value: 17.08,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-24T00:00:00.000Z'),
    value: 63.52,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-25T00:00:00.000Z'),
    value: 23.64,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-26T00:00:00.000Z'),
    value: 61.71,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-27T00:00:00.000Z'),
    value: 25.13,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-28T00:00:00.000Z'),
    value: 50.61,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-29T00:00:00.000Z'),
    value: 25.86,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-30T00:00:00.000Z'),
    value: 44.85,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-31T00:00:00.000Z'),
    value: 34.09,
    state: DataloadState.VALID,
    valueDetail: null,
  },
]

export const fetchDayDataComplete: Dataload[] = [
  {
    date: DateTime.fromISO('2023-07-01T00:00:00.000Z'),
    value: 35.53,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-02T00:00:00.000Z'),
    value: 56.8,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-03T00:00:00.000Z'),
    value: 37.66,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-04T00:00:00.000Z'),
    value: 39.58,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-05T00:00:00.000Z'),
    value: 46.81,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-06T00:00:00.000Z'),
    value: 45.83,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-07T00:00:00.000Z'),
    value: 22.95,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-08T00:00:00.000Z'),
    value: 38.95,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-09T00:00:00.000Z'),
    value: 22.23,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-10T00:00:00.000Z'),
    value: 49.86,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-11T00:00:00.000Z'),
    value: 62.78,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-12T00:00:00.000Z'),
    value: 45.44,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-13T00:00:00.000Z'),
    value: 66.06,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-14T00:00:00.000Z'),
    value: 22.29,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-15T00:00:00.000Z'),
    value: 43.06,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-16T00:00:00.000Z'),
    value: 25.35,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-17T00:00:00.000Z'),
    value: 16.24,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-18T00:00:00.000Z'),
    value: 36.4,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-19T00:00:00.000Z'),
    value: 54.38,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-20T00:00:00.000Z'),
    value: 55.99,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-21T00:00:00.000Z'),
    value: 55.96,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-22T00:00:00.000Z'),
    value: 30.11,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-23T00:00:00.000Z'),
    value: 17.08,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-24T00:00:00.000Z'),
    value: 63.52,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-25T00:00:00.000Z'),
    value: 23.64,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-26T00:00:00.000Z'),
    value: 61.71,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-27T00:00:00.000Z'),
    value: 25.13,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-28T00:00:00.000Z'),
    value: 50.61,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-29T00:00:00.000Z'),
    value: 25.86,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-30T00:00:00.000Z'),
    value: 44.85,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2023-07-31T00:00:00.000Z'),
    value: 34.09,
    state: DataloadState.VALID,
    valueDetail: null,
  },
]
